@charset "ISO-8859-1";
@import url('https://fonts.googleapis.com/css2?family=Open+Sans&display=swap');

body {
	font-family: 'Open Sans', sans-serif;
	background-color: darkgreen;
}

p.error-message {
	color: tomato;
	font-weight: 700%;
}

.header img {
	width: 80px;
	height: 80px;
	float: left;
}

.header-tiny img {
	width: 50px;
	height: 50px;
	float: left;
}

.header h1, .header-tiny h2 {
	margin-top: 0px;
	position: relative;
	top: 10px;
	padding-left: 10px;
}

.header, .header-tiny {
	display: flex;
	align-items: center;
	padding-bottom: 10px;
}

ul.top-links {
	padding: 0px;
	margin-top: 0px;
}

ul.top-links li {
	display: inline-block;
}

.home-container {
	width: 30%;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translateY(-50%) translateX(-50%);
	
	padding: 2%;
	
	background-color: white;
	box-shadow: 25px 25px black;
}

.home-link {
	padding-right: 10px;
	line-height: 1.5em;
}

.home-form {
	display: flex;
	margin-top: 10px;
}

.home-form input[type='text'] {
	flex-grow: 1;
}

.home-form input[type='submit'] {
	width: 15%;
}

p.logged-in-message {
	position: relative;
	bottom: -10px;
	color: #808080;
	margin-bottom: 20px;
}

.login-container {
	width: 30%;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translateY(-50%) translateX(-50%);
	
	padding: 2%;
	
	background-color: white;
	box-shadow: 25px 25px black;
}

.login-title {
	margin-bottom: 5px;
}

.login-button {
	margin-top: 10px;
}

.signup-container {
	width: 30%;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translateY(-50%) translateX(-50%);
	
	padding: 2%;
	
	background-color: white;
	box-shadow: 25px 25px black;
}

.signup-title {
	margin-bottom: 5px;
}

.signup-button {
	margin-top: 10px;
}

.profile-container {
	width: 30%;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translateY(-50%) translateX(-50%);
	
	padding: 2%;
	
	background-color: white;
	box-shadow: 25px 25px black;
}

.rules-container {
	margin-left: 20%;
	margin-right: 20%;
	margin-top:0px;
	
	padding-left: 2%;
	padding-right: 2%;
	padding-top: 2%;
	padding-bottom: 4%;
	
	background-color: white;
	box-shadow: 25px 0px black;

	position: absolute;
	top: 0px;
}

.rules-container p {
	text-align: justify;
}

.rules-img {
	width: 150px;
	height: 150px;
}

.rules-img:not(:last-of-type) {
	margin-right: 8px;
}

.rules-caption {
	font-style: italic;
	color: #606060;
}

.game-container {
	margin-left: 20%;
	margin-right: 20%;
	margin-top:0px;
	
	padding: 10px 20px 20px 20px;
	
	background-color: white;
	box-shadow: 25px 0px black;
	
	position: absolute;
	top: 0px;
	right: 0px;
	left: 0px;
	bottom: 0px;
}

.game-title {
	margin-bottom: 2px;
}

.grid-and-chat {
	display: flex;
	justify-content: center;
	flex-wrap: wrap;	
	column-gap: 4%;
	
	margin-top: 20px;
}

.chat {
	width: 300px;
	height: 64vmin;
	align-self: stretch;
	
	padding-left: 12px;
	
	font-size: small;
}

.chat-display-container {
	height: 95%;
	overflow-y: scroll;
	width: 100%;
	
	border: 3px solid grey;
	margin-bottom: 12px;
}

table.chat-display {
	border-collapse: collapse;
	table-layout: fixed;
	width: 100%;
	max-width: 100%;
}

.chat-form {
	width: 100%;
	display: flex;
	justify-content: center;
}

.chat-input { 
	width: 75%;
}

.chat-submit {
	width: 20%;
}

.chat-own-displayed-message {
	background-color: white;
}

.chat-other-displayed-message {
	background-color: #e7ede8;
}

.chat-message-timestamp {
	width: max-content;
	vertical-align: top;
	padding-left: 5px;
}

.chat-message-text {
	width: 100%;
	overflow-wrap: anywhere;
	padding-right: 10px;
	padding-left: 5px;
}

.message-info {
	font-weight: 700;
	color: #595900;
}

.layout-grid {
	display: grid;
	grid-template-columns: 
		min-content min-content min-content;
	grid-template-rows:
		max-content max-content max-content max-content;
	width: max-content;
}

.board-grid {
	grid-column-start: 2;
	grid-row-start: 2;
	
	display: grid;
	column-gap: 3px;
	row-gap: 3px;
	grid-template-columns: 
		max-content max-content max-content max-content
		max-content max-content max-content max-content;
		
	padding: 1vmin;
	background-color: black;
	
}

.numbers-left-grid {
	grid-row-start: 2;
	grid-row-end: 4;
	
	grid-template-columns: max-content;
	
	display: grid;
}

.numbers-left-cell {
	display: flex;
	align-items: center;
}

.letters-top-grid {
	grid-column-start: 2;
	grid-column-end: 3;
	
	grid-template-columns: auto auto auto auto auto auto auto auto;
	text-align: center;
	
	display: grid;
}

.piece-amounts {
	grid-column-start: 1;
	grid-column-end: 3;
	margin: 3px;
}

.cell {
	background-color: green;
	width: 7vmin;
	height: 7vmin;
}

.game-piece-svg {
	display: block;
	margin: auto;
	width: 100%;
}

.white {
	background-color: white;
}

.black {
	background-color: black;
}